Skip to main content

Update a license by resource ID

Updates a specified license by resource ID. Use this to modify license details for a particular resource in the NetApp Console service.

HTTP method and endpoint

PATCH /license/account/{accountId}/licenseResource/{resourceIdentifier}

Token usage

NetApp Console service token.

Parameters

Name Type In Required Description

accountId

string

path

True

resourceIdentifier

string

path

True

X-Service-Request-Id

string

header

False

Request identifier

Request Body

Name Type Required Description

license

["string", "null"]

False

Response

Status: 200, Success response

Response

Status: 4xx, Error response
Name Type Required Description

errorCode

string

False

Error code

error

string

False

Error code/category

message

string

False

Error description message

Example response
{
  "errorCode": "string",
  "error": "string",
  "message": "string"
}